## Properties Pane

Properties Pane — Font properties widget

## Functions

GtkWidget * | font_manager_properties_pane_new ()
void | font_manager_properties_pane_update ()

## Types and Values

#define | FONT_MANAGER_TYPE_PROPERTIES_PANE
| FontManagerPropertiesPane

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkPaned
                        ╰── FontManagerPropertiesPane

## Implemented Interfaces

FontManagerPropertiesPane implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <font-manager-properties-pane.h>

## Description

Widget intended to display a message in an empty area.

## Functions

### font_manager_properties_pane_new ()

    GtkWidget *
    font_manager_properties_pane_new ();

#### Returns

A newly created FontManagerPropertiesPane. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_properties_pane_update ()

    void
    font_manager_properties_pane_update (FontManagerPropertiesPane *self,
                                         FontManagerFont *font,
                                         FontManagerFontInfo *metadata);

## Types and Values

### FONT_MANAGER_TYPE_PROPERTIES_PANE

    #define FONT_MANAGER_TYPE_PROPERTIES_PANE (font_manager_properties_pane_get_type ())

### FontManagerPropertiesPane

    typedef struct _FontManagerPropertiesPane FontManagerPropertiesPane;